body {
    background-color: #fafafa;
    color: #757575;
    font-family: 'Consolas', Arial, Helvetica, sans-serif;
    margin: 0;
}

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

button {
    background: 0 0;
    border: none;
    border-radius: 2px;
    color: #757575;
    position: relative;
    height: 36px;
    margin: 0;
    display: inline-block;
    font-family: "Consolas","Helvetica","Arial",sans-serif;
    min-width: 53px;
    font-size: 0.8rem;
    padding: 0 9px;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 0;
    overflow: hidden;
    will-change: box-shadow;
    transition: box-shadow .2s cubic-bezier(.4,0,1,1),background-color .2s cubic-bezier(.4,0,.2,1),color .2s cubic-bezier(.4,0,.2,1);
    outline: none;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    line-height: 36px;
    vertical-align: middle;
}

button:hover {
    background-color: rgba(158,158,158,.2);
}

button:active {
    background-color: rgba(158,158,158,.4);
}

button.icon {
    border-radius: 50%;
    font-size: 24px;
    height: 32px;
    margin-left: 0;
    margin-right: 0;
    min-width: 32px;
    width: 32px;
    padding: 0;
    overflow: hidden;
    line-height: normal;
}

button .material-icons {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-12px,-12px);
    line-height: 24px;
    width: 24px;
    vertical-align: middle;
}

input, textarea {
    font-family: 'Consolas', Arial, Helvetica, sans-serif;
    font-size: 1rem;
    color: #757575;
    padding: .5em;
    border-radius: 2px;
    border: 1px solid lightgray;
    outline: none;
}

main {
    background: #fff;
    margin: 0 auto;
    border-radius: 2px;
    overflow: hidden;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,.14),0 3px 1px -2px rgba(0,0,0,.2),0 1px 5px 0 rgba(0,0,0,.12);
}

header {
    display: flex;
    align-items: center;
    padding: 0 1rem;
    color: white;
    background-color: #f0db4f;
    text-align: center;
		text-transform: uppercase;
		
		& > .wrapper {
			width: 980px;
			margin: 0 auto;

			& > .title {
				display: inline-block;
				color: #323330;
				margin: 1rem auto;
			}
		}
}

/* Todo Item */
.todo-item {
    display: flex;
    font-size: 1rem;
    border-top: 1px solid rgba(0,0,0,.1);
    background-color: #fff;
    transition: all .2s;
    -webkit-user-select: none;
    user-select: none;
    padding: 1em;
    align-items: center;
}

.todo-item.completed * {
    color: lightgray;
}

.todo-item .checkbox {
    margin-right: .5rem;
}

.todo-item .title,
.todo-item .textfield {
    margin-right: auto;
}

.todo-item.completed .title {
    text-decoration: line-through;
}

.todo-item.editing .title {
    display: none;
}

.todo-item .textfield {
    display: none;
}

.todo-item.editing .textfield {
    display: block;
}

.todo-item button {
    opacity: 0;
    transition: all .2s;
}

.todo-item:hover button:not(.checkbox) {
    opacity: 1;
}



/* Todo form */

#todo-form {
    display: flex;
    background-color: #FAFAFA;
    border-top: 1px solid rgba(0,0,0,.1);
    padding: 10px;
}

#todo-form input {
    flex: 1;
    outline: none;
    transition: all .2s;
}

#todo-form input:focus {
    border: 1px solid #f0db4f;
}

#todo-form button {
    margin-left: 10px;
}

.my-todo-list {
  & > .wrapper {
    width: 980px;
		margin: 0 auto;
		padding-top: 40px;

		& > .main {
			display: flex;
			width: 600px;
			justify-content: space-between;
			margin: 0 auto 30px;

			&.-create {
				justify-content: center;
			}

			& > .btn-create {
				background-color: #f0db4f;
				border: none;
				border-radius: 2px;
				color: #757575;
				position: relative;
				height: 70px;
				margin: 0;
				display: inline-block;
				font-family: "Consolas","Helvetica","Arial",sans-serif;
				min-width: 253px;
				font-size: 1.5rem;
				padding: 0 40px;
				font-weight: 500;
				text-transform: uppercase;
				letter-spacing: 0;
				overflow: hidden;
				will-change: box-shadow;
				transition: box-shadow .2s cubic-bezier(.4,0,1,1),background-color .2s cubic-bezier(.4,0,.2,1),color .2s cubic-bezier(.4,0,.2,1);
				outline: none;
				cursor: pointer;
				text-decoration: none;
				text-align: center;
				line-height: 70px;
				vertical-align: middle;

				&:hover {
						background-color: rgba(158,158,158,.2);
				}

				&:active {
						background-color: rgba(158,158,158,.4);
				}
			}
		}

		& > .popup-create-todo {
			display: none;
			width: 500px;
			border: 1px solid #ccc;
			border-radius: 2px;
			padding: 10px 20px 40px;
			position: fixed;
			left: 50%;
			top: 50%;
			transform: translate(-50%, -50%);
			background-color: #fff;
			z-index: 10;

			&.-show {
				display: block;
			}	

			& > .todo-form {
				width: 100%;
				display: flex;
				flex-wrap: wrap;

				& > .field {
					width: 100%;
					box-sizing: border-box;
					margin-bottom: 10px;

					&.-error {
						box-shadow: 0 0 5px 1px red;
					}

					&.-desc {
						height: 100px;
					}
				}

				& > .bottom {
					display: flex;
					justify-content: space-between;
					align-items: center;
					width: 100%;

					& > .left {

						& > .priority {
							height: 36px;
							width: 100px;
							border: 1px solid lightgray;
							font-family: 'Consolas', Arial, Helvetica, sans-serif;
							font-size: 1rem;
							color: #757575;
						}
					}

					& > .rigth {
					
						& > .button {
							border: 1px solid lightgray;
							border-radius: 2px;

							&:not(:last-child) {
								margin-right: 20px;
							}
						}
					}
				}
			}
		}

		& > .todo-list-result {
			display: flex;
			flex-wrap: wrap;

			& > .todo-item-block {
				width: 300px;
				border: 1px solid #ccc;
				border-radius: 2px;
				background: #eee;
				padding: 20px;
				margin: 0 10px 20px;
				box-sizing: border-box;
				position: relative;

				&.-hide {
					display: none;
				}

				&.-editing {
					background: #fadbef;
					color: #999;
				}

				&.-done {
					background: #eaeaea;
					color: #999;

					& > .label {
						text-decoration: line-through;
					}
				}

				& > .checkbox {
					position: absolute;
					top: -4px;
					right: -4px;
				}

				& > .title {
					width: 100%;
					font-size: 1.2rem;
					font-weight: 500;
					margin-bottom: 20px;
					height: 2.4rem;
					display: block;
					overflow: hidden;
				}

				& > .desc {
					width: 100%;
					display: block;
					height: 4rem;
					margin-bottom: 20px;
				}

				& > .label {
					position: relative;

					& > .edit-textfield {
						position: absolute;
						top: 0;
						left: 0;
						right: 0;
						bottom: 0;
						width: 100%;
						box-sizing: border-box;
					}
				}

				& > .todo-item-helper {
					display: flex;
					justify-content: flex-end;

					& > .priority {
						position: absolute;
						left: 20px;
						bottom: 27px;
						display: block;
						width: 65px;
						text-align: center;
						line-height: 22px;
						font-size: 0.8rem;
						height: 22px;
						border-radius: 10px;
						background: red;
						color: #fff;

						&.-high {
							background: red;
						}

						&.-normal {
							background: green;
						}

						&.-low {
							background: burlywood;
						}
					}
				}
			}
		}
	}
}